MODX_API_MODE и процессоры ошибка авторизации

Пытаюсь сделать авторизацию как в этом посте — modx.pro/development/170-modx-api-mode-and-processors/
modx 5.7
php 5.4
Получаю ошибку:


Fatal error: require(): Failed opening required '/home/mesial1/www/test.mymilena.ru/core/cache/includes/elements/index.php' (include_path='.:/opt/php54/pear') in /home/mesial1/www/test.mymilena.ru/core/cache/includes/elements/modsnippet/92.include.cache.php on line 3

Вот код сниппета
<?php
define('MODX_API_MODE', true);
require dirname(dirname(__FILE__)).'/index.php';

$response = $modx->runProcessor('security/login', array('username' => $username, 'password' => $password));
if ($response->isError()) {
    $modx->log(modX::LOG_LEVEL_ERROR, $response->getMessage());
    return;
}
$modx->initialize('mgr');
Евгений
24 июля 2017, 13:52
modx.pro
965
0

Комментарии: 0

Авторизуйтесь или зарегистрируйтесь, чтобы оставлять комментарии.
0